/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef THINGDESCRIPTION_H
#define THINGDESCRIPTION_H

class IAssess3;
class Thing;

/** @stereotype description */
class ThingDescription {
public:
    void assessWithPlugInElseDefault();

    void assessAcrossThings();

    void findAvailable();

    void calcQtyAvailable();

    int calcTotalFor();

    int listThings();

    static int listDescs();

    static int assessAcrossDescs();

private:
    /** @supplierCardinality 0..1 */
    IAssess3 * lnkUnnamed1;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    Thing * lnkUnnamed;

    int type;
    int description;
    int itemNumber;
    int defaultValue;
};
#endif //THINGDESCRIPTION_H
